Loading...
Searching...
No Matches
Dune::RefinementImp::HCube::RefinementSubEntityIteratorSpecial< dimension, CoordType, dimension > Class Template Reference
Inheritance diagram for Dune::RefinementImp::HCube::RefinementSubEntityIteratorSpecial< dimension, CoordType, dimension >:

## Public Types

typedef RefinementImp< dimension, CoordType > | Refinement
typedef Refinement::template Codim< dimension >::SubEntityIterator | Common
typedef Refinement::CoordVector | CoordVector

## Public Member Functions

CoordVector | coords () const

## Member Typedef Documentation

## Common

template<int dimension, class CoordType>

typedef Refinement::template Codim<dimension>::SubEntityIterator Dune::RefinementImp::HCube::RefinementSubEntityIteratorSpecial< dimension, CoordType, dimension >::Common

## CoordVector

template<int dimension, class CoordType>

typedef Refinement::CoordVector Dune::RefinementImp::HCube::RefinementSubEntityIteratorSpecial< dimension, CoordType, dimension >::CoordVector

## Refinement

template<int dimension, class CoordType>

typedef RefinementImp<dimension, CoordType> Dune::RefinementImp::HCube::RefinementSubEntityIteratorSpecial< dimension, CoordType, dimension >::Refinement

## Member Function Documentation

## coords()

template<int dimension, class CoordType>

RefinementSubEntityIteratorSpecial< dimension, CoordType, dimension >::CoordVector Dune::RefinementImp::HCube::RefinementSubEntityIteratorSpecial< dimension, CoordType, dimension >::coords | ( |  | ) | const

The documentation for this class was generated from the following file:

- hcube.cc